/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.o-coaChangelogContainer {
  background: $changelog-background;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  -ms-border-radius: 20px;
  -o-border-radius: 20px;
  border-radius: 20px;
  box-shadow: 0 0 12px rgba(94, 94, 94, 0.25);
  width: 100%;
  /* min-height: 29.625rem; */
  display: flex;
  flex-direction: column;
  padding-block: 20px 30px;
  max-height: 29.6875rem;

  &.--infinityHeight {
    max-height: none;
  }

  &__header {
    padding-inline: 1.375rem;
    display: flex;
    justify-content: space-between;
    align-items: center;

    &__left {
      display: flex;
      column-gap: 1rem;
    }
  }
  &__body {
    overflow: auto;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    row-gap: 0.9375rem;
    padding-inline: 1.375rem;
    &.--empty {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      height: 26.875rem;
    }
  }
  &__emptyText {
    @include primary-text(1rem, $changelog-empty-text-color, 600);
  }
}
